//
//  MyAppController.h
//  PboardPeeker
//
//  Copyright (c) 2003 MIKOZAWA Akira. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "MyPBoardDumper.h"

@interface MyAppController : NSObject
{
    IBOutlet id myShowDataChkbox;
    IBOutlet id myPbNamePopup;
    IBOutlet id myUpdateButton;
    IBOutlet NSTextView*	myTextView;

	NSString*	mPboardCode;
	MyPBoardDumper*	mDumper;
	NSTimer*	mTimer;
	BOOL		mShowData;
	BOOL		mUpdating;
}
- (IBAction)update:(id)sender;
- (IBAction)selectPboard:(id)sender;
- (IBAction)toggleDataDisplay:(id)sender;
@end
